Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226018 - mopidy-mpd: FTBFS in Fedora rawhide/f39
Summary: mopidy-mpd: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mopidy-mpd
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tobias
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 2180466
Blocks: F39FTBFS F40FTBFS F39BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:38 UTC by Fedora Release Engineering
Modified: 2023-09-06 23:38 UTC (History)
2 users (show)

Fixed In Version: mopidy-mpd-3.3.0-5.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-06 23:38:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:38 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:38 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:38 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:38:37 UTC
mopidy-mpd failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103633656


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix mopidy-mpd at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
mopidy-mpd will be orphaned. Before branching of Fedora 40,
mopidy-mpd will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:38:41 UTC
Created attachment 1978474 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 18:38:46 UTC
Created attachment 1978475 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:38:49 UTC
Created attachment 1978476 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:59:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Blocker Bugs Application 2023-09-04 18:14:59 UTC
Proposed as a Freeze Exception for 39-beta by Fedora user girst using the blocker tracking app because:

 A Beta Freeze Exception was granted for mopidy, this sister package is needed to make mopidy (more) useful.

Comment 6 Adam Williamson 2023-09-05 18:40:20 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/1258 , marking accepted FE.

Comment 7 Fedora Update System 2023-09-05 20:01:31 UTC
FEDORA-2023-db10165e80 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-db10165e80

Comment 8 Fedora Update System 2023-09-06 01:31:55 UTC
FEDORA-2023-db10165e80 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-db10165e80`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-db10165e80

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-09-06 23:38:11 UTC
FEDORA-2023-db10165e80 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.